<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>RecipeController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecipeController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.abn.recipe.recipeservice.controller</a></div>
<h2 title="Class RecipeController" class="title">Class RecipeController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.abn.recipe.recipeservice.controller.RecipeController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>@RestController
@RequestMapping(produces="application/json",
                value="/api/recipe")
public class <span class="typeNameLabel">RecipeController</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(com.abn.recipe.recipeservice.service.RecipeService)">RecipeController</a></span>&#8203;(<a href="../service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service">RecipeService</a>&nbsp;recipeService)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(com.abn.recipe.recipeservice.dto.RecipeDto)">add</a></span>&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</code></th>
<td class="colLast">
<div class="block">API Endpoint to add new Recipe</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(java.lang.Long)">delete</a></span>&#8203;(java.lang.Long&nbsp;recipeId)</code></th>
<td class="colLast">
<div class="block">API Endpoint to delete a Recipe by Id</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findAll(java.lang.Integer,java.lang.Integer)">findAll</a></span>&#8203;(java.lang.Integer&nbsp;page,
       java.lang.Integer&nbsp;pageSize)</code></th>
<td class="colLast">
<div class="block">API Endpoint to add fetch all Recipes</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fineOne(java.lang.Long)">fineOne</a></span>&#8203;(java.lang.Long&nbsp;recipeId)</code></th>
<td class="colLast">
<div class="block">API Endpoint to add fetch Recipe by Id</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#searchRecipe(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">searchRecipe</a></span>&#8203;(<a href="../dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeSearchRequestDto</a>&nbsp;searchRequest)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(com.abn.recipe.recipeservice.dto.RecipeDto)">update</a></span>&#8203;(<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</code></th>
<td class="colLast">
<div class="block">API Endpoint to update existing Recipe</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(com.abn.recipe.recipeservice.service.RecipeService)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RecipeController</h4>
<pre>public&nbsp;RecipeController&#8203;(<a href="../service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service">RecipeService</a>&nbsp;recipeService)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="add(com.abn.recipe.recipeservice.dto.RecipeDto)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">@PostMapping
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;&nbsp;add&#8203;(@RequestBody
                                                 <a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</pre>
<div class="block">API Endpoint to add new Recipe</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeDto</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="update(com.abn.recipe.recipeservice.dto.RecipeDto)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">@PutMapping
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;&nbsp;update&#8203;(@RequestBody
                                                    <a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&nbsp;recipeDto)</pre>
<div class="block">API Endpoint to update existing Recipe</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeDto</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="delete(java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">@DeleteMapping("/{recipeId}")
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;java.lang.Boolean&gt;&nbsp;delete&#8203;(@PathVariable("recipeId")
                                                    java.lang.Long&nbsp;recipeId)</pre>
<div class="block">API Endpoint to delete a Recipe by Id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeId</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="fineOne(java.lang.Long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fineOne</h4>
<pre class="methodSignature">@GetMapping("/{recipeId}")
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeDto</a>&gt;&nbsp;fineOne&#8203;(@PathVariable("recipeId")
                                             java.lang.Long&nbsp;recipeId)</pre>
<div class="block">API Endpoint to add fetch Recipe by Id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recipeId</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="findAll(java.lang.Integer,java.lang.Integer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findAll</h4>
<pre class="methodSignature">@GetMapping
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&gt;&nbsp;findAll&#8203;(@RequestParam(value="page",required=false,defaultValue="1")
                                                           java.lang.Integer&nbsp;page,
                                                           @RequestParam(value="size",required=false)
                                                           java.lang.Integer&nbsp;pageSize)</pre>
<div class="block">API Endpoint to add fetch all Recipes</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="searchRecipe(com.abn.recipe.recipeservice.dto.RecipeSearchRequestDto)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>searchRecipe</h4>
<pre class="methodSignature">@PostMapping("/search")
public&nbsp;<a href="../dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">ServiceResponseDto</a>&lt;<a href="../dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipesPagedResponseDto</a>&gt;&nbsp;searchRecipe&#8203;(@RequestBody
                                                                <a href="../dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto">RecipeSearchRequestDto</a>&nbsp;searchRequest)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
